MPSKIP(1)

NAME
mpskip - emulate a skipping record

SYNOPSIS
mpskip [num_skips] [duration] [skippos] [host]

DESCRIPTION
mpskip makes mpd emulate a skipping record.

If num_skips is not specified (or is 0), it will skip forever (or until someone manually seeks past the "bad" part of the song, or changes songs).

The duration is how long the skip should be, in seconds. Floating point values can be used.

The skippos is the number of seconds into the song to place the skip point. Default is the current play position.

If the hostname is omitted, the MPD_HOST environment variable will be used.

LIMITATIONS
Doesn't insert the pop you hear on a real record player when the needle skips.

If run against a remote host, it may not skip at exactly the same place each time due to network issues.

AUTHOR
Copyright 2007 Joey Hess <joey@kitenet.net>

Licensed under the GNU GPL version 2 or higher.

http://kitenet.net/~joey/code/mpdtoys